'use strict';

/**
 * CLD接口路由
 *
 * @author EllisRan.
 * @date 2018/9/25
 * @version
 */

import express from "express";
import CLDController from "../controllers/cld_controller";


module.exports = function (app) {
    let router = express.Router();
    let cldController = new CLDController();

    router.get('/getCategoryStaff', cldController.getCategoryStaff);

    router.get('/getUsersAndCompilation', cldController.getUsersAndCompilationList);

    router.get('/getCompilationList', cldController.getCompilationList);

    router.post('/setUserUpgrade', cldController.setUsersUpgrade);

    router.get('/getUsersInfo', cldController.getUsersInfo);

    router.get('/getUserList', cldController.getUserList);

    router.post('/getUserOnlineInfo', cldController.getUserOnlineInfo);

    app.use('/cld',router)
};
